from django.urls import path,include
from rbac.views import user,organization,menu,role
# from cmdb.views import dict
from rest_framework import routers


router = routers.DefaultRouter()
router.register('user', user.UserViewSet, basename="user")
router.register('organization', organization.OrganizationViewSet, basename="organization")
router.register('menu', menu.MenuViewSet, basename="menu")
router.register('role', role.RoleViewSet, basename="role")

urlpatterns = [
    path('user/info/', user.UserInfoView.as_view(), name='user_info'),
    path('', include(router.urls)),
    # path('organization/user/tree/', organization.OrganizationUserTreeView.as_view(), name='organization_user_tree'),
]
